KinoSearch1::Search::TermQuery(3pm)

NAME
KinoSearch1::Search::TermQuery - match individual Terms

SYNOPSIS
    my $term = KinoSearch1::Index::Term->new( $field, $term_text );
    my $term_query = KinoSearch1::Search::TermQuery->new(
        term => $term,
    );
    my $hits = $searcher->search( query => $term_query );

DESCRIPTION
TermQuery is a subclass of KinoSearch1::Search::Query for matching individual Terms. Note that since Term objects are associated with one and only one field, so are TermQueries.

METHODS

  new
    my $term_query = KinoSearch1::Search::TermQuery->new(
        term => $term,
    );

Constructor. Takes hash-style parameters:

•   term - a KinoSearch1::Index::Term.

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.